{
  description = "gist";

  inputs.nixpkgs.url = "github:nixos/nixpkgs";

  outputs = {
    self,
    nixpkgs,
  }: let
    pkgs = nixpkgs.legacyPackages.x86_64-linux;
    gist = pkgs.buildGoModule {
      pname = "gist";
      version = "0.0.1";

      src = ./.;

      vendorHash = "sha256-5P75NHH0Up3x+PhoxbN0nQMqrRgt+tlTz5MPy8/CL0I=";

      meta = with pkgs.lib; {
        description = "";
        homepage = "https://git.jojodev.com/jolheiser/gist";
        license = licenses.mit;
        maintainers = with maintainers; [jolheiser];
        mainProgram = "gist";
      };
    };
  in {
    packages.x86_64-linux.default = gist;
  };
}
